---
sidebar_label: PuppeteerError
---

# PuppeteerError class

The base class for all Puppeteer-specific errors

#### Signature:

```typescript
export declare class PuppeteerError extends Error
```

**Extends:** Error

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `PuppeteerError` class.
